## nestopia 1.49

=== libretro/Makefile ===
DEBUG = 0
GIT_VERSION := " $(shell git rev-parse --short HEAD)"
HAS_GCC = 1

SPACE :=
SPACE := $(SPACE) $(SPACE)
BACKSLASH :=
BACKSLASH := \$(BACKSLASH)
filter_out1 = $(filter-out $(firstword $1),$1)
filter_out2 = $(call filter_out1,$(call filter_out1,$1))

ifeq ($(platform),)
	platform = unix
	ifeq ($(shell uname -a),)
		platform = win
	else ifneq ($(findstring MINGW,$(shell uname -a)),)
		platform = win
	else ifneq ($(findstring Darwin,$(shell uname -a)),)
		platform = osx
	else ifneq ($(findstring win,$(shell uname -a)),)
		platform = win
	endif
endif

# system platform
system_platform = unix
ifeq ($(shell uname -a),)
	EXE_EXT = .exe
	system_platform = win
else ifneq ($(findstring Darwin,$(shell uname -a)),)
	system_platform = osx
else ifneq ($(findstring MINGW,$(shell uname -a)),)
	system_platform = win
endif

prefix := /usr
libdir := $(prefix)/lib

LIBRETRO_DIR := libretro
TARGET_NAME := nestopia

SPACE :=
SPACE := $(SPACE) $(SPACE)
BACKSLASH :=
BACKSLASH := \$(BACKSLASH)
filter_out1 = $(filter-out $(firstword $1),$1)
filter_out2 = $(call filter_out1,$(call filter_out1,$1))
unixpath = $(subst \,/,$1)
unixcygpath = /$(subst :,,$(call unixpath,$1))

# Unix
ifeq ($(platform), unix)
	TARGET := $(TARGET_NAME)_libretro.so
	fpic := -fPIC
	SHARED := -shared -Wl,-version-script=link.T -Wl,-no-undefined
ifeq ($(shell uname -s), Haiku)
	LDFLAGS += -lroot
endif

# OS X
else ifeq ($(platform), osx)
	TARGET := $(TARGET_NAME)_libretro.dylib
	fpic := -fPIC
	SHARED := -dynamiclib
	OSXVER = `sw_vers -productVersion | cut -d. -f 2`
	OSX_LT_MAVERICKS = `(( $(OSXVER) <= 9)) && echo "YES"`
        LDFLAGS += -mmacosx-version-min=10.7
        CFLAGS += -mmacosx-version-min=10.7
        CXXFLAGS += -mmacosx-version-min=10.7
	ifndef ($(NOUNIVERSAL))
		CFLAGS  += $(ARCHFLAGS)
		CXXFLAGS  += $(ARCHFLAGS)
		LDFLAGS += $(ARCHFLAGS)
	endif

# iOS
else ifneq (,$(findstring ios,$(platform)))

	TARGET := $(TARGET_NAME)_libretro_ios.dylib
	fpic := -fPIC
	SHARED := -dynamiclib
	ifeq ($(IOSSDK),)
		IOSSDK := $(shell xcodebuild -version -sdk iphoneos Path)
	endif
	ifeq ($(platform),"ios-arm64")
	  CC = cc -arch arm64 -isysroot $(IOSSDK)
	  CCX = c++ -arch arm64 -isysroot $(IOSSDK)
	else
	  CC = cc -arch armv7 -isysroot $(IOSSDK)
	  CXX = c++ -arch armv7 -isysroot $(IOSSDK)
	endif
ifeq ($(platform),$(filter $(platform),ios9 ios-arm64))
	CC               += -miphoneos-version-min=8.0
	CXX              += -miphoneos-version-min=8.0
	PLATFORM_DEFINES += -miphoneos-version-min=8.0
else
	CC               += -miphoneos-version-min=5.0
	CXX              += -miphoneos-version-min=5.0
	PLATFORM_DEFINES += -miphoneos-version-min=5.0
endif

# Theos
else ifeq ($(platform), theos_ios)
	HAS_GCC := 0
	DEPLOYMENT_IOSVERSION = 5.0
	TARGET = iphone:latest:$(DEPLOYMENT_IOSVERSION)
	ARCHS = armv7 armv7s
	TARGET_IPHONEOS_DEPLOYMENT_VERSION=$(DEPLOYMENT_IOSVERSION)
	THEOS_BUILD_DIR := objs
	include $(THEOS)/makefiles/common.mk
	LIBRARY_NAME = $(TARGET_NAME)_libretro_ios

# QNX
else ifeq ($(platform), qnx)
	TARGET := $(TARGET_NAME)_libretro_qnx.so
	fpic := -fPIC
	SHARED := -lcpp -lm -shared -Wl,-version-script=link.T -Wl,-no-undefined
	HAS_GCC := 0
	CC = qcc -Vgcc_ntoarmv7le
	CXX = QCC -Vgcc_ntoarmv7le_cpp
	AR = QCC -Vgcc_ntoarmv7le
	PLATFORM_DEFINES := -D__BLACKBERRY_QNX__ -marm -mcpu=cortex-a9 -mfpu=neon -mfloat-abi=softfp

# PS3
else ifeq ($(platform), ps3)
	HAVE_GCC_WARNINGS := 0
	TARGET := $(TARGET_NAME)_libretro_ps3.a
	CXX = $(CELL_SDK)/host-win32/ppu/bin/ppu-lv2-g++.exe
	CC = $(CELL_SDK)/host-win32/ppu/bin/ppu-lv2-gcc.exe
	AR = $(CELL_SDK)/host-win32/ppu/bin/ppu-lv2-ar.exe
	PLATFORM_DEFINES := -D__CELLOS_LV2__
	STATIC_LINKING = 1

# sncps3
else ifeq ($(platform), sncps3)
	HAVE_GCC_WARNINGS := 0
	TARGET := $(TARGET_NAME)_libretro_ps3.a
	HAS_GCC := 0
	CC = $(CELL_SDK)/host-win32/sn/bin/ps3ppusnc.exe
	CXX = $(CELL_SDK)/host-win32/sn/bin/ps3ppusnc.exe
	AR = $(CELL_SDK)/host-win32/sn/bin/ps3snarl.exe
	PLATFORM_DEFINES := -D__CELLOS_LV2__
	STATIC_LINKING = 1

# PSP
else ifeq ($(platform), psp1)
	TARGET := $(TARGET_NAME)_libretro_$(platform).a
	CC = psp-gcc$(EXE_EXT)
	CXX = psp-g++$(EXE_EXT)
	AR = psp-ar$(EXE_EXT)
	PLATFORM_DEFINES := -DPSP -G0
	STATIC_LINKING = 1

# Vita
else ifeq ($(platform), vita)
	TARGET := $(TARGET_NAME)_libretro_$(platform).a
	CC = arm-vita-eabi-gcc$(EXE_EXT)
	CXX = arm-vita-eabi-g++$(EXE_EXT)
	AR = arm-vita-eabi-ar$(EXE_EXT)
	PLATFORM_DEFINES := -DVITA -fno-short-enums
	STATIC_LINKING = 1

# CTR(3DS)
else ifeq ($(platform), ctr)
	TARGET := $(TARGET_NAME)_libretro_$(platform).a
	CC = $(DEVKITARM)/bin/arm-none-eabi-gcc$(EXE_EXT)
	CXX = $(DEVKITARM)/bin/arm-none-eabi-g++$(EXE_EXT)
	AR = $(DEVKITARM)/bin/arm-none-eabi-ar$(EXE_EXT)
	PLATFORM_DEFINES := -DARM11 -D_3DS
	PLATFORM_DEFINES += -march=armv6k -mtune=mpcore -mfloat-abi=hard
	PLATFORM_DEFINES += -mword-relocations
	PLATFORM_DEFINES += -fomit-frame-pointer -fstrict-aliasing -ffast-math
	STATIC_LINKING = 1

# Raspberry Pi 2 (Raspbian)
else ifeq ($(platform), rpi2)
	TARGET := $(TARGET_NAME)_libretro.so
	fpic := -fPIC
	SHARED := -shared -Wl,-version-script=link.T -Wl,-no-undefined
	PLATFORM_DEFINES += -marm -mcpu=cortex-a7 -mfpu=neon-vfpv4 -mfloat-abi=hard -ffast-math
	PLATFORM_DEFINES += -DARM

# Raspberry Pi 3 (Raspbian)
else ifeq ($(platform), rpi3)
	TARGET := $(TARGET_NAME)_libretro.so
	fpic := -fPIC
	SHARED := -shared -Wl,-version-script=link.T -Wl,-no-undefined
	PLATFORM_DEFINES += -marm -mcpu=cortex-a53 -mfpu=neon-fp-armv8 -mfloat-abi=hard -ffast-math
	PLATFORM_DEFINES += -DARM

# Lightweight PS3 Homebrew SDK
else ifeq ($(platform), psl1ght)
	TARGET := $(TARGET_NAME)_libretro_$(platform).a
	CC = $(PS3DEV)/ppu/bin/ppu-gcc$(EXE_EXT)
	CXX = $(PS3DEV)/ppu/bin/ppu-g++$(EXE_EXT)
	AR = $(PS3DEV)/ppu/bin/ppu-ar$(EXE_EXT)
	PLATFORM_DEFINES := -D__CELLOS_LV2__
	STATIC_LINKING = 1

# Windows MSVC 2003 Xbox 1
else ifeq ($(platform), xbox1_msvc2003)
TARGET := $(TARGET_NAME)_libretro_xdk1.lib
CC  = CL.exe
CXX  = CL.exe
LD   = lib.exe

export INCLUDE := $(XDK)/xbox/include
export LIB := $(XDK)/xbox/lib
PATH := $(call unixcygpath,$(XDK)/xbox/bin/vc71):$(PATH)
PSS_STYLE :=2
CFLAGS   += -D_XBOX -D_XBOX1
CXXFLAGS += -D_XBOX -D_XBOX1
STATIC_LINKING=1
HAS_GCC := 0
# Windows MSVC 2010 Xbox 360
else ifeq ($(platform), xbox360_msvc2010)
TARGET := $(TARGET_NAME)_libretro_xdk360.lib
MSVCBINDIRPREFIX = $(XEDK)/bin/win32
CC  = "$(MSVCBINDIRPREFIX)/cl.exe"
CXX  = "$(MSVCBINDIRPREFIX)/cl.exe"
LD   = "$(MSVCBINDIRPREFIX)/lib.exe"

export INCLUDE := $(XEDK)/include/xbox
export LIB := $(XEDK)/lib/xbox
PSS_STYLE :=2
CFLAGS   += -D_XBOX -D_XBOX360
CXXFLAGS += -D_XBOX -D_XBOX360
STATIC_LINKING=1
HAS_GCC := 0

# Windows MSVC 2003 x86
else ifeq ($(platform), windows_msvc2003_x86)
	CC  = cl.exe
	CXX = cl.exe

PATH := $(shell IFS=$$'\n'; cygpath "$(VS71COMNTOOLS)../../Vc7/bin"):$(PATH)
PATH := $(PATH):$(shell IFS=$$'\n'; cygpath "$(VS71COMNTOOLS)../IDE")
INCLUDE := $(shell IFS=$$'\n'; cygpath "$(VS71COMNTOOLS)../../Vc7/include")
LIB := $(shell IFS=$$'\n'; cygpath -w "$(VS71COMNTOOLS)../../Vc7/lib")
BIN := $(shell IFS=$$'\n'; cygpath "$(VS71COMNTOOLS)../../Vc7/bin")

WindowsSdkDir := $(INETSDK)

export INCLUDE := $(INCLUDE);$(INETSDK)/Include;libretro-common/include/compat/msvc
export LIB := $(LIB);$(WindowsSdkDir);$(INETSDK)/Lib
TARGET := $(TARGET_NAME)_libretro.dll
PSS_STYLE :=2
LDFLAGS += -DLL
CFLAGS += -D_CRT_SECURE_NO_DEPRECATE
WINDOWS_VERSION=1

# Windows MSVC 2017 all architectures
else ifneq (,$(findstring windows_msvc2017,$(platform)))

	PlatformSuffix = $(subst windows_msvc2017_,,$(platform))
	ifneq (,$(findstring desktop,$(PlatformSuffix)))
		WinPartition = desktop
        MSVC2017CompileFlags = -DWINAPI_FAMILY=WINAPI_FAMILY_DESKTOP_APP
		LDFLAGS += -MANIFEST -LTCG:incremental -NXCOMPAT -DYNAMICBASE -DEBUG -OPT:REF -INCREMENTAL:NO -SUBSYSTEM:WINDOWS -MANIFESTUAC:"level='asInvoker' uiAccess='false'" -OPT:ICF -ERRORREPORT:PROMPT -NOLOGO -TLBID:1
		LIBS += kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib
	else ifneq (,$(findstring uwp,$(PlatformSuffix)))
		WinPartition = uwp
		MSVC2017CompileFlags = -DWINAPI_FAMILY=WINAPI_FAMILY_APP -D_WINDLL -D_UNICODE -DUNICODE -D__WRL_NO_DEFAULT_LIB__ -EHsc
		LDFLAGS += -APPCONTAINER -NXCOMPAT -DYNAMICBASE -MANIFEST:NO -LTCG -OPT:REF -SUBSYSTEM:CONSOLE -MANIFESTUAC:NO -OPT:ICF -ERRORREPORT:PROMPT -NOLOGO -TLBID:1 -DEBUG:FULL -WINMD:NO
		LIBS += WindowsApp.lib
	endif

	CFLAGS += $(MSVC2017CompileFlags)
    CXXFLAGS += $(MSVC2017CompileFlags)

	TargetArchMoniker = $(subst $(WinPartition)_,,$(PlatformSuffix))

	CC  = cl.exe
	CXX = cl.exe
	LD = link.exe

	reg_query = $(call filter_out2,$(subst $2,,$(shell reg query "$2" -v "$1" 2>nul)))
	fix_path = $(subst $(SPACE),\ ,$(subst \,/,$1))

	ProgramFiles86w := $(shell cmd /c "echo %PROGRAMFILES(x86)%")
	ProgramFiles86 := $(shell cygpath "$(ProgramFiles86w)")

	WindowsSdkDir ?= $(call reg_query,InstallationFolder,HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Microsoft SDKs\Windows\v10.0)
	WindowsSdkDir ?= $(call reg_query,InstallationFolder,HKEY_CURRENT_USER\SOFTWARE\Wow6432Node\Microsoft\Microsoft SDKs\Windows\v10.0)
	WindowsSdkDir ?= $(call reg_query,InstallationFolder,HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Microsoft SDKs\Windows\v10.0)
	WindowsSdkDir ?= $(call reg_query,InstallationFolder,HKEY_CURRENT_USER\SOFTWARE\Microsoft\Microsoft SDKs\Windows\v10.0)
	WindowsSdkDir := $(WindowsSdkDir)

	WindowsSDKVersion ?= $(firstword $(foreach folder,$(subst $(subst \,/,$(WindowsSdkDir)Include/),,$(wildcard $(call fix_path,$(WindowsSdkDir)Include\*))),$(if $(wildcard $(call fix_path,$(WindowsSdkDir)Include/$(folder)/um/Windows.h)),$(folder),)))$(BACKSLASH)
	WindowsSDKVersion := $(WindowsSDKVersion)

	VsInstallBuildTools = $(ProgramFiles86)/Microsoft Visual Studio/2017/BuildTools
	VsInstallEnterprise = $(ProgramFiles86)/Microsoft Visual Studio/2017/Enterprise
	VsInstallProfessional = $(ProgramFiles86)/Microsoft Visual Studio/2017/Professional
	VsInstallCommunity = $(ProgramFiles86)/Microsoft Visual Studio/2017/Community

	VsInstallRoot ?= $(shell if [ -d "$(VsInstallBuildTools)" ]; then echo "$(VsInstallBuildTools)"; fi)
	ifeq ($(VsInstallRoot), )
		VsInstallRoot = $(shell if [ -d "$(VsInstallEnterprise)" ]; then echo "$(VsInstallEnterprise)"; fi)
	endif
	ifeq ($(VsInstallRoot), )
		VsInstallRoot = $(shell if [ -d "$(VsInstallProfessional)" ]; then echo "$(VsInstallProfessional)"; fi)
	endif
	ifeq ($(VsInstallRoot), )
		VsInstallRoot = $(shell if [ -d "$(VsInstallCommunity)" ]; then echo "$(VsInstallCommunity)"; fi)
	endif
	VsInstallRoot := $(VsInstallRoot)

	VcCompilerToolsVer := $(shell cat "$(VsInstallRoot)/VC/Auxiliary/Build/Microsoft.VCToolsVersion.default.txt" | grep -o '[0-9\.]*')
	VcCompilerToolsDir := $(VsInstallRoot)/VC/Tools/MSVC/$(VcCompilerToolsVer)

	WindowsSDKSharedIncludeDir := $(shell cygpath -w "$(WindowsSdkDir)\Include\$(WindowsSDKVersion)\shared")
	WindowsSDKUCRTIncludeDir := $(shell cygpath -w "$(WindowsSdkDir)\Include\$(WindowsSDKVersion)\ucrt")
	WindowsSDKUMIncludeDir := $(shell cygpath -w "$(WindowsSdkDir)\Include\$(WindowsSDKVersion)\um")
	WindowsSDKUCRTLibDir := $(shell cygpath -w "$(WindowsSdkDir)\Lib\$(WindowsSDKVersion)\ucrt\$(TargetArchMoniker)")
	WindowsSDKUMLibDir := $(shell cygpath -w "$(WindowsSdkDir)\Lib\$(WindowsSDKVersion)\um\$(TargetArchMoniker)")

	# For some reason the HostX86 compiler doesn't like compiling for x64
	# ("no such file" opening a shared library), and vice-versa.
	# Work around it for now by using the strictly x86 compiler for x86, and x64 for x64.
	# NOTE: What about ARM?
	ifneq (,$(findstring x64,$(TargetArchMoniker)))
		VCCompilerToolsBinDir := $(VcCompilerToolsDir)\bin\HostX64
	else
		VCCompilerToolsBinDir := $(VcCompilerToolsDir)\bin\HostX86
	endif

	PATH := $(shell IFS=$$'\n'; cygpath "$(VCCompilerToolsBinDir)/$(TargetArchMoniker)"):$(PATH)
	PATH := $(PATH):$(shell IFS=$$'\n'; cygpath "$(VsInstallRoot)/Common7/IDE")
	INCLUDE := $(shell IFS=$$'\n'; cygpath -w "$(VcCompilerToolsDir)/include")

=== debian/changelog ===
nestopia (1.49-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Install nestopia.libretro. Closes: #911330.
  * Update bugtracker URL for libretro.

  [ Stephen Kitt ]
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.2.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 19 Oct 2018 12:45:55 +0200

nestopia (1.49-1) unstable; urgency=medium

  * New upstream release, switching back to Autoconf and merging all
    patches.
  * Enable JACK support.

 -- Stephen Kitt <skitt@debian.org>  Thu, 28 Jun 2018 08:49:22 +0200

nestopia (1.48-3) unstable; urgency=medium

  * Add missing build-dependency on autoconf-archive.

 -- Stephen Kitt <skitt@debian.org>  Mon, 14 May 2018 14:25:46 +0200

nestopia (1.48-2) unstable; urgency=medium

  * Migrate to Salsa.
  * Switch to debhelper compatibility level 11.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 14 May 2018 10:06:36 +0200

nestopia (1.48-1) unstable; urgency=medium

  * New upstream release.
  * Copy Appstream metadata from Ubuntu, thanks to Jeremy Bicha (Closes:
    #860427).
  * Update watch file.
  * Document that Nestopia requires OpenGL 3.2 or later (Closes:
    #822436).
  * Enable PIE.
  * Switch to https URL in debian/copyright.
  * Standards-Version 4.1.0, no further change required.
  * Preserve CPPFLAGS when building libretro (so the hardening options
    are applied).

 -- Stephen Kitt <skitt@debian.org>  Sat, 09 Sep 2017 12:01:44 +0200

=== debian/control ===
Source: nestopia
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <skitt@debian.org>,
           Sérgio Benjamim <sergio_br2@yahoo.com.br>
Section: games
Priority: optional
Build-Depends: autoconf-archive,
               debhelper (>= 11~),
               dh-exec,
               libao-dev,
               libarchive-dev,
               libglew-dev,
               libgtk-3-dev,
               libjack-dev,
               libsdl2-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/games-team/nestopia
Vcs-Git: https://salsa.debian.org/games-team/nestopia.git
Homepage: http://0ldsk00l.ca/nestopia/
Rules-Requires-Root: no

Package: nestopia
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: nes-emulator
Description: Nintendo Entertainment System/Famicom emulator
 Nestopia is a cycle-accurate NES/Famicom emulator. It has a high
 compatibility rate and support for many peripherals and input
 devices.
 .
 Features:
    * Save states
    * Movie recording
    * Game rewinding
    * GUI or command line interface
    * Emulation of NTSC, PAL, and Dendy systems
    * Support for NES Zapper games
    * Support for Famicom Disk System games
 .
 Nestopia requires OpenGL 3.2 or later.

Package: libretro-nestopia
Architecture: any
Multi-Arch: same
Depends: retroarch | libretro-frontend,
         ${misc:Depends},
         ${shlibs:Depends}
Description: libretro wrapper for Nestopia
 Nestopia is a cycle-accurate NES/Famicom emulator. It has a high
 compatibility rate and support for many peripherals and input
 devices.
 .
 This package contains a wrapper allowing the Nestopia engine to be
 used with libretro frontends such as RetroArch.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Nestopia uses shifted negative integers
export DEB_CFLAGS_MAINT_APPEND = -fpermissive
export DEB_CXXFLAGS_MAINT_APPEND = -fpermissive

# Enable all hardening options
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(ARCH),armhf)
	PLATFORM=platform="armv hardfloat"
endif

export PREFIX=/usr
export BINDIR=/usr/games

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-gui --with-ao --with-jack

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=libretro -- $(PLATFORM)

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --sourcedirectory=libretro

## nestopia 1.50

=== libretro/Makefile ===
--- 
+++ 
@@ -11,13 +11,17 @@
 
 ifeq ($(platform),)
 	platform = unix
-	ifeq ($(shell uname -a),)
+	ifeq ($(shell uname -s),)
 		platform = win
-	else ifneq ($(findstring MINGW,$(shell uname -a)),)
+	else ifneq ($(findstring MINGW,$(shell uname -s)),)
 		platform = win
-	else ifneq ($(findstring Darwin,$(shell uname -a)),)
+	else ifneq ($(findstring Darwin,$(shell uname -s)),)
 		platform = osx
-	else ifneq ($(findstring win,$(shell uname -a)),)
+		arch = intel
+		ifeq ($(shell uname -p),powerpc)
+			arch = ppc
+		endif
+	else ifneq ($(findstring win,$(shell uname -s)),)
 		platform = win
 	endif
 endif
@@ -29,6 +33,10 @@
 	system_platform = win
 else ifneq ($(findstring Darwin,$(shell uname -a)),)
 	system_platform = osx
+	arch = intel
+	ifeq ($(shell uname -p),powerpc)
+		arch = ppc
+	endif
 else ifneq ($(findstring MINGW,$(shell uname -a)),)
 	system_platform = win
 endif
@@ -73,6 +81,11 @@
 		LDFLAGS += $(ARCHFLAGS)
 	endif
 
+ifeq ($(arch),ppc)
+	CFLAGS += -DHAVE_NO_LANGEXTRA
+	CXXFLAGS += -DHAVE_NO_LANGEXTRA
+endif
+
 # iOS
 else ifneq (,$(findstring ios,$(platform)))
 
@@ -82,9 +95,9 @@
 	ifeq ($(IOSSDK),)
 		IOSSDK := $(shell xcodebuild -version -sdk iphoneos Path)
 	endif
-	ifeq ($(platform),"ios-arm64")
+	ifeq ($(platform), ios-arm64)
 	  CC = cc -arch arm64 -isysroot $(IOSSDK)
-	  CCX = c++ -arch arm64 -isysroot $(IOSSDK)
+	  CXX = c++ -arch arm64 -isysroot $(IOSSDK)
 	else
 	  CC = cc -arch armv7 -isysroot $(IOSSDK)
 	  CXX = c++ -arch armv7 -isysroot $(IOSSDK)
@@ -98,6 +111,15 @@
 	CXX              += -miphoneos-version-min=5.0
 	PLATFORM_DEFINES += -miphoneos-version-min=5.0
 endif
+
+# tvOS
+else ifeq ($(platform), tvos-arm64)
+	TARGET := $(TARGET_NAME)_libretro_tvos.dylib
+	fpic = -fPIC
+	SHARED := -dynamiclib
+	ifeq ($(IOSSDK),)
+		IOSSDK := $(shell xcodebuild -version -sdk appletvos Path)
+	endif
 
 # Theos
 else ifeq ($(platform), theos_ios)
@@ -319,12 +341,3 @@
 	# ("no such file" opening a shared library), and vice-versa.
 	# Work around it for now by using the strictly x86 compiler for x86, and x64 for x64.
 	# NOTE: What about ARM?
-	ifneq (,$(findstring x64,$(TargetArchMoniker)))
-		VCCompilerToolsBinDir := $(VcCompilerToolsDir)\bin\HostX64
-	else
-		VCCompilerToolsBinDir := $(VcCompilerToolsDir)\bin\HostX86
-	endif
-
-	PATH := $(shell IFS=$$'\n'; cygpath "$(VCCompilerToolsBinDir)/$(TargetArchMoniker)"):$(PATH)
-	PATH := $(PATH):$(shell IFS=$$'\n'; cygpath "$(VsInstallRoot)/Common7/IDE")
-	INCLUDE := $(shell IFS=$$'\n'; cygpath -w "$(VcCompilerToolsDir)/include")

=== debian/changelog ===
nestopia (1.50-2) unstable; urgency=medium

  * Drop the dh-exec requirement.
  * Switch to debhelper compatibility level 13.
  * Standards-Version 4.5.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 14 Jan 2021 18:29:12 +0100

nestopia (1.50-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Stephen Kitt ]
  * New upstream release.
  * Add appdata license to debian/copyright.
  * Standards-Version 4.4.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 07 Jan 2020 09:12:32 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,14 @@
 Section: games
 Priority: optional
 Build-Depends: autoconf-archive,
-               debhelper (>= 11~),
-               dh-exec,
+               debhelper-compat (= 13),
                libao-dev,
                libarchive-dev,
                libglew-dev,
                libgtk-3-dev,
                libjack-dev,
                libsdl2-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/games-team/nestopia
 Vcs-Git: https://salsa.debian.org/games-team/nestopia.git
 Homepage: http://0ldsk00l.ca/nestopia/

## nestopia 1.51.1

=== debian/changelog ===
nestopia (1.51.1-1) unstable; urgency=medium

  * New upstream release.
  * Nestopia only needs OpenGL 1.x.

 -- Stephen Kitt <skitt@debian.org>  Mon, 30 Aug 2021 11:54:09 +0200

nestopia (1.51.0-1~exp1) experimental; urgency=medium

  * New upstream release, dropping libretro support (maintained
    elsewhere).

 -- Stephen Kitt <skitt@debian.org>  Mon, 28 Jun 2021 11:21:18 +0200

=== debian/control ===
Source: nestopia
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <skitt@debian.org>,
           Sérgio Benjamim <sergio_br2@yahoo.com.br>
Section: games
Priority: optional
Build-Depends: autoconf-archive,
               debhelper-compat (= 13),
               libarchive-dev,
               libfltk1.3-dev,
               libsdl2-dev,
               zlib1g-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/games-team/nestopia
Vcs-Git: https://salsa.debian.org/games-team/nestopia.git
Homepage: http://0ldsk00l.ca/nestopia/
Rules-Requires-Root: no

Package: nestopia
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: nes-emulator
Description: Nintendo Entertainment System/Famicom emulator
 Nestopia is a cycle-accurate NES/Famicom emulator. It has a high
 compatibility rate and support for many peripherals and input
 devices.
 .
 Features:
    * Save states
    * Movie recording
    * Game rewinding
    * GUI or command line interface
    * Emulation of NTSC, PAL, and Dendy systems
    * Support for NES Zapper games
    * Support for Famicom Disk System games

=== debian/rules ===
--- 
+++ 
@@ -23,13 +23,6 @@
 %:
 	dh $@
 
-override_dh_auto_configure:
-	dh_auto_configure -- --enable-gui --with-ao --with-jack
-
-override_dh_auto_build:
-	dh_auto_build
-	dh_auto_build --sourcedirectory=libretro -- $(PLATFORM)
-
-override_dh_auto_clean:
-	dh_auto_clean
-	dh_auto_clean --sourcedirectory=libretro
+override_dh_auto_install:
+	dh_auto_install
+	mv debian/nestopia/usr/bin debian/nestopia/usr/games

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%nestopia-$1.tar.gz%,dversionmangle=s%.dfsg$%%" \
    https://github.com/rdanbrook/nestopia/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## nestopia 1.52.0

=== debian/changelog ===
nestopia (1.52.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:00:16 +1100

nestopia (1.52.0-1build1) noble; urgency=medium

  * No-change rebuild against libarchive13t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 07:22:52 +0000

nestopia (1.52.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.2, no change required.
  * Remove Sérgio Benjamim from uploaders, since the libretro core is
    maintained elsewhere and Sérgio is longer active.

 -- Stephen Kitt <skitt@debian.org>  Sat, 31 Dec 2022 12:05:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: nestopia
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Stephen Kitt <skitt@debian.org>,
-           Sérgio Benjamim <sergio_br2@yahoo.com.br>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Stephen Kitt <skitt@debian.org>
 Section: games
 Priority: optional
 Build-Depends: autoconf-archive,
@@ -10,7 +10,7 @@
                libfltk1.3-dev,
                libsdl2-dev,
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/games-team/nestopia
 Vcs-Git: https://salsa.debian.org/games-team/nestopia.git
 Homepage: http://0ldsk00l.ca/nestopia/

## nestopia 1.52.1+dfsg

=== debian/changelog ===
nestopia (1.52.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 31 Mar 2024 19:44:05 +0200

nestopia (1.52.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Repack with excluded unrar.
  * New upstream version 1.52.0+dfsg.

 -- Bastian Germann <bage@debian.org>  Sun, 10 Mar 2024 22:07:47 +0100

## nestopia 1.53.0+dfsg

=== debian/changelog ===
nestopia (1.53.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 30 Dec 2024 16:00:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: nestopia
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: games
 Priority: optional
 Build-Depends: autoconf-archive,
                debhelper-compat (= 13),
                libarchive-dev,
+               libepoxy-dev,
                libfltk1.3-dev,
+               libsamplerate0-dev,
                libsdl2-dev,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/games-team/nestopia
 Vcs-Git: https://salsa.debian.org/games-team/nestopia.git
 Homepage: http://0ldsk00l.ca/nestopia/

## nestopia 1.53.1+dfsg

=== debian/changelog ===
nestopia (1.53.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 24 Mar 2025 16:27:34 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libsamplerate0-dev,
                libsdl2-dev,
                zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/games-team/nestopia
 Vcs-Git: https://salsa.debian.org/games-team/nestopia.git
 Homepage: http://0ldsk00l.ca/nestopia/

## nestopia 1.53.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Build-Depends: autoconf-archive,
                debhelper-compat (= 13),
                libarchive-dev,
+               libcairo2-dev,
                libepoxy-dev,
-               libfltk1.3-dev,
+               libfltk1.4-dev,
                libsamplerate0-dev,
                libsdl2-dev,
                zlib1g-dev

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto" \
    https://github.com/rdanbrook/nestopia/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## nestopia 1.53.2+dfsg

=== debian/changelog ===
nestopia (1.53.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Remove the old FSF address from debian/copyright.
  * Fix the AppStream metadata identifier.

 -- Stephen Kitt <skitt@debian.org>  Thu, 28 Aug 2025 12:16:07 +0200

nestopia (1.53.1+dfsg-2) unstable; urgency=medium

  * Build with FLTK 1.4.

 -- Stephen Kitt <skitt@debian.org>  Sat, 12 Apr 2025 08:51:45 +0200
